Bug 846165 - [abrt] uqm-0.7.0-3.fc17: uio_fseek: Process /usr/games/uqm was killed by signal 11 (SIGSEGV)
[abrt] uqm-0.7.0-3.fc17: uio_fseek: Process /usr/games/uqm was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: uqm (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:37b5d78c6482e2ac55921fa7dce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 21:35 EDT by Jason Scalia
Modified: 2013-07-31 22:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.29 KB, text/plain)
2012-08-06 21:35 EDT, Jason Scalia
no flags Details
File: smolt_data (6.32 KB, text/plain)
2012-08-06 21:35 EDT, Jason Scalia
no flags Details
File: maps (20.30 KB, text/plain)
2012-08-06 21:35 EDT, Jason Scalia
no flags Details
File: dso_list (4.18 KB, text/plain)
2012-08-06 21:35 EDT, Jason Scalia
no flags Details

  None (edit)
Description Jason Scalia 2012-08-06 21:35:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/games/uqm -n /home/jscalia/.uqm/content
comment:        Selected Start game, hit enter at next screen. Was unable to reproduce, but figured I would share.
crash_function: uio_fseek
executable:     /usr/games/uqm
kernel:         3.5.0-2.fc17.x86_64
pid:            15399
pwd:            /home/jscalia/.uqm
remote_result:  NOTFOUND
time:           Mon 06 Aug 2012 09:33:58 PM EDT
uid:            1000
username:       jscalia

backtrace:      Text file, 19753 bytes
dso_list:       Text file, 4276 bytes
maps:           Text file, 20788 bytes
smolt_data:     Text file, 6469 bytes

build_ids:
:8064812affe1df9a5ef65fc8cc7b5a95a07c1235
:f58f7f7a0f2c00780839246fd972e56e971e27d8
:f69712fe393313f44607679e934bf5a67f39ec50
:6086bff484a49cc8b80cb714d7e83a6391394800
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:458118a56e4684bd51c51aee74e26a15161da7e3
:0339e448510e66ad611e6f5df08565db4fe4bc23
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:8f1ba572f27dfd702830fb5690824afb32c5f89f
:b277af36744327e3d58eae76bcdaadcca71a28c6
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:999c6a40954a490f10496b3a9aac8346fbfd7e92
:6412f0f4d35ed15b1d728b05dcc0407b3e82fdf9
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:fa81176245f9e4370b3ffe6dd8db8a17646c70e9
:e91010b497ec024178c36f4365b21f668bada0ca
:6947e315f0765bf884ecc222d91945a1e2ed8767
:f4c064df8745dff15466d705fb049138f9a5c949
:e230907ff55938fac70d429bf9784c52f054ebc6
:edad49230923d07f38eaae337455a0d56f535f11
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:7b2764ec751ee57e9ba0827d2b16039549841179
:822e9b3523e8312240f41a25722d539bc77ed436
:1309cbb736c7f597bc49f83e638fde856bfc0e11
:7654433afd142a4699559f45f290cd0bcfb0f2d6
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:91db217984786e7dd727627632e7699a9e4a8634
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:d804f8ee47797da9213a92f00cd095ecada8d79f
:1dbad667ccf4b57aca057808b8a4a0871960b54f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:54a5cc118d928470da13565de8592b664a9868e0
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:1d4df97fa6024b097b634a272447243c95c26d85
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:247132297f287226a24c12e683292f5c94013066
:d3b2370c611789a259d7f60137ab4568329dd838
:af945724af42823d8f3ee175768dcb912e3c25a0

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jscalia/2

core_backtrace:
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x588e8 - [exe] -
:8064812affe1df9a5ef65fc8cc7b5a95a07c1235 0x30ccb Player_LoadGeneric_internal libmikmod.so.3 -
:8064812affe1df9a5ef65fc8cc7b5a95a07c1235 0x317d2 Player_LoadGeneric libmikmod.so.3 -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x4d922 - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x4b675 - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x455f8 - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x44819 - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x7e15c - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x73bec - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x7db22 - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x7f22b - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x7110e - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x898c0 - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x9681f - [exe] -
:8cc1d68bdb4a9258ae21876e9ce10e4c7ee0f1b0 0x5000a - [exe] -
:7654433afd142a4699559f45f290cd0bcfb0f2d6 0x11056 - libSDL-1.2.so.0 -
:7654433afd142a4699559f45f290cd0bcfb0f2d6 0x55f59 - libSDL-1.2.so.0 -
: 0xaa6d4 - libGL.so.1 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:f69712fe393313f44607679e934bf5a67f39ec50 0xf197d clone libc.so.6 -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1573
:XDG_SESSION_ID=2
:HOSTNAME=tripod.downontheupside.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:GPG_AGENT_INFO=/home/jscalia/.gnupg/S.gpg-agent:1601:1
:SHELL=/bin/bash
:TERM=dumb
:XDG_MENU_PREFIX=xfce-
:XDG_SESSION_COOKIE=b13b5a737eb8958de449ba5e0000000c-1344298330.692411-169963638
:HISTSIZE=1000
:OLDPWD=/home/jscalia/.uqm/content/packages
:GNOME_KEYRING_CONTROL=/run/user/jscalia/keyring-WSMSd8
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=jscalia
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-uMvUERkC1438/agent.1438
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1610,unix/unix:/tmp/.ICE-unix/1610
:USERNAME=jscalia
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jscalia/.local/bin:/home/jscalia/bin
:DESKTOP_SESSION=xfce
:MAIL=/var/spool/mail/jscalia
:QT_IM_MODULE=xim
:PWD=/home/jscalia/.uqm
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1436
:LANG=en_US.UTF-8
:GDMSESSION=xfce
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/jscalia
:SHLVL=2
:LOGNAME=jscalia
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DqxSZE9VU6,guid=b12cb11bf0e441f09fba993800000032
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/jscalia
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-jscalia-j1Ztvb/database
:CCACHE_HASHDIR=

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 95906                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       95906                95906                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/jscalia/.xsession-errors
:pos:	73471
:flags:	0102002
:2:/home/jscalia/.xsession-errors
:pos:	73471
:flags:	0102002
:3:socket:[115051]
:pos:	0
:flags:	02004002
:4:socket:[115052]
:pos:	0
:flags:	02004002
:5:/home/jscalia/.uqm/content/packages/uqm-0.7.0-content.uqm
:pos:	4288187
:flags:	0100000
:6:/home/jscalia/.uqm/content/addons/uqm-0.7.0-3domusic.uqm
:pos:	213
:flags:	0100000
:7:/home/jscalia/.uqm/content/addons/uqm-0.7.0-voice.uqm
:pos:	605
:flags:	0100000
:8:/home/jscalia/.uqm/content/addons/uqm-remix-pack1.uqm
:pos:	50188876
:flags:	0100000
:9:/home/jscalia/.uqm/content/addons/uqm-remix-pack2.uqm
:pos:	60282662
:flags:	0100000
:10:/home/jscalia/.uqm/content/addons/uqm-remix-pack3.uqm
:pos:	39924875
:flags:	0100000
:11:pipe:[115817]
:pos:	0
:flags:	02004000
:12:pipe:[115817]
:pos:	0
:flags:	02004001
:13:socket:[113106]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug  6 21:30:48 tripod yum[15266]: Installed: uqm-0.7.0-3.fc17.x86_64
:Aug  6 21:33:58 tripod kernel: [ 4949.081698] uqm[15424]: segfault at 2c ip 00000000004588e8 sp 00007f68f0cf2350 error 4 in uqm[400000+13a000]
:Aug  6 21:33:58 tripod abrt[15428]: Saved core dump of pid 15399 (/usr/games/uqm) to /var/spool/abrt/ccpp-2012-08-06-21:33:58-15399 (52477952 bytes)

xsession_errors:
:starting uqm ...
:creating local working directory /home/jscalia/.uqm ...
:starting uqm ...
:creating local working directory /home/jscalia/.uqm ...
:Using config dir '/home/jscalia/.uqm/'
:Using '/home/jscalia/.uqm/content' as base content dir.
:Saved games are kept in /home/jscalia/.uqm/save/.
:Loading resource index 'uqm.rmp'
:	'base/uqm.ct' -- 104466 bytes
:starting uqm ...
:Using config dir '/home/jscalia/.uqm/'
:Using '/home/jscalia/.uqm/content' as base content dir.
:Saved games are kept in /home/jscalia/.uqm/save/.
:Loading resource index 'uqm.rmp'
:	'base/uqm.ct' -- 104466 bytes
Comment 1 Jason Scalia 2012-08-06 21:35:35 EDT
Created attachment 602616 [details]
File: backtrace
Comment 2 Jason Scalia 2012-08-06 21:35:37 EDT
Created attachment 602617 [details]
File: smolt_data
Comment 3 Jason Scalia 2012-08-06 21:35:38 EDT
Created attachment 602618 [details]
File: maps
Comment 4 Jason Scalia 2012-08-06 21:35:40 EDT
Created attachment 602619 [details]
File: dso_list
Comment 5 Jason Scalia 2012-08-06 21:37:24 EDT
Looks like this happened again randomly while in game.
Comment 6 Jason Scalia 2012-08-07 21:33:58 EDT
Happened during the middle of the game.

backtrace_rating: 4
Package: uqm-0.7.0-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Gergely POLONKAI 2012-12-15 11:50:13 EST
Tried to start a new game after installing.

backtrace_rating: 4
Package: uqm-0.7.0-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora End Of Life 2013-07-03 19:47:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 22:45:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.